import { useBindingContext } from './BindingContext';
/**
 * Returns the current Field value at the provided path.
 *
 * @param {string} field a field path to observe.
 * @returns {any}
 */

function useFormValues(fields) {
  const ctx = useBindingContext();
  if (!ctx) return;
  return Array.isArray(fields) ? fields.map(f => ctx.getValue(f)) : ctx.getValue(fields);
}

export default useFormValues;